jQuery(document).ready(function($) {

    if(knowtifyReadCookie("subscribed_to_knowtify")){
        $('.kt_reader_signup, #kt-check').hide();
    }


    $("#knowtify_signup_form").submit(function(e) {
        e.preventDefault();
        $("#kt_signup,.kt_add_api_token,.kt_divider").hide();
        $("#kt_loading").show();
        var data = {
            action: "new_signup",
            email: $("#knowtify_signup_email").val(),
            password: $("#knowtify_signup_password").val()
        }
        $.post(ajax_object.ajax_url, data, function(response) {
            response = $.parseJSON(response);
            $("#kt_loading").hide();
            if (response.status.indexOf('error') === -1) { //No Knowtify error returned.
                /*
                $("#kt_email").html(response.msg.email);
                $("#kt_pass").html(response.msg.password);
                $("#kt_api").html(response.msg.access_token);
                $("#kt_response").show();
                */
                window.location = "/wp-admin/admin.php?page=knowtify&tab=about";
            } else {
                $("#kt_signup").show();
                $("#knowtify_signup_email").addClass("kt_bad");
                $("#knowtify_signup_email").focus(function() {
                    $(this).removeClass("kt_bad");

                });
                $("#kt_msg").addClass("error").html(response.msg);
            }

        });
    });

    $(".knowtify_reader_signup").submit(function(e) {
        var elem = $(this);

        e.preventDefault();
        var data = {
            action: "new_reader",
            email: elem.find('.knowtify_signup_email').val(),
            name: elem.find('.knowtify_signup_name').val()
        }
        $.post(ajax_object.ajax_url, data, function(response) {
            response = $.parseJSON(response);
            if (response.status.indexOf('error') === -1) { //No Knowtify error returned.
                $(".kt_reader_signup").hide();
                $(".kt_reader_signup_response").show();
                knowtifyCreateCookie("subscribed_to_knowtify", true, 365);
            }else{
                elem.find(".knowtify_signup_email").addClass("kt_bad");
                elem.find(".knowtify_signup_email").focus(function() {
                    $(this).removeClass("kt_bad");
                });
                $(".kt_reader_msg").addClass("error").html(response.msg);
            }
        });
    });
});

function knowtifyCreateCookie(name, value, days) {
    var expires;

    if (days) {
        var date = new Date();
        date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
        expires = "; expires=" + date.toGMTString();
    } else {
        expires = "";
    }
    document.cookie = escape(name) + "=" + escape(value) + expires + "; path=/";
}

function knowtifyReadCookie(name) {
    var nameEQ = escape(name) + "=";
    var ca = document.cookie.split(';');
    for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) === ' ') c = c.substring(1, c.length);
        if (c.indexOf(nameEQ) === 0) return unescape(c.substring(nameEQ.length, c.length));
    }
    return null;
}